Bug 1652174 - pifconfig reports only one ip
Summary: pifconfig reports only one ip
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python-ethtool
Version: 8.0
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Lumír Balhar
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 15:54 UTC by Branislav Náter
Modified: 2019-06-14 01:21 UTC (History)
3 users (show)

Fixed In Version: python-ethtool-0.14-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 01:21:36 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Branislav Náter 2018-11-21 15:54:39 UTC
pifconfig doesn't list second ip assigned to interface. This is regression against rhel-7.

Version-Release number of selected component (if applicable):
python3-ethtool-0.14-2.el8

Steps to Reproduce: 
1. ip addr add 1.2.3.4 dev <dev>
2. pifconfig

Actual results: 
ens3
	HWaddr 00:16:3e:56:71:9a
	inet addr:10.16.46.41
	Bcast:10.16.47.255
<snip>

Expected results:
ens3
	HWaddr 00:16:3e:56:71:9a
	inet addr:10.16.46.41
        inet addr:1.2.3.4
	Bcast:10.16.47.255
<snip>

Comment 1 Lumír Balhar 2018-12-04 11:52:42 UTC
Hello.

Yes, you are right. There is a downstream patch in RHEL 7.6 which adds the capability to show multiple IPv4 addresses I wasn't aware of.

I'll try to apply the patch upstream and then update ethtool in RHEL 8.

Is following example output from pifconfig acceptable for you?

lo
	inet addr:127.0.0.1 Mask:255.0.0.0
	inet6 addr: ::1/128 Scope: host
	UP LOOPBACK RUNNING

dummy0
	HWaddr 22:ea:1d:9b:c9:e2
	inet addr:10.20.30.40 Bcast:10.20.30.255 Mask:255.255.255.255
	inet addr:10.20.30.45 Bcast:10.20.30.255 Mask:255.255.255.255
	inet addr:10.20.30.50 Bcast:10.20.30.255 Mask:255.255.255.255
	inet addr:20.20.20.50 Bcast:20.20.255.255 Mask:255.255.255.255
	inet addr:20.20.30.50 Bcast:20.20.255.255 Mask:255.255.255.255
	inet addr:1.20.30.50 Bcast:1.255.255.255 Mask:255.255.255.255
	inet6 addr: 2001:db8::10/64 Scope: global
	inet6 addr: fe80::20ea:1dff:fe9b:c9e2/64 Scope: link
	UP BROADCAST RUNNING NOARP

dummy1
	HWaddr 12:c2:e7:cc:03:40
	inet6 addr: 1000::1/64 Scope: global
	inet6 addr: fe80::10c2:e7ff:fecc:340/64 Scope: link
	UP BROADCAST RUNNING NOARP

dummy2
	HWaddr 0e:b0:82:b4:ab:0f
	inet6 addr: fe80::cb0:82ff:feb4:ab0f/64 Scope: link
	UP BROADCAST RUNNING NOARP

Comment 2 Branislav Náter 2018-12-04 12:14:04 UTC
Yes, looks good to me.

Comment 3 Lumír Balhar 2018-12-05 07:37:10 UTC
Upstream pull request: https://github.com/fedora-python/python-ethtool/pull/53

Comment 4 Lumír Balhar 2018-12-08 13:42:19 UTC
Scratch build: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=19419986

If you have some time, you can test it before I gather all acks.

Comment 5 Branislav Náter 2018-12-08 13:57:00 UTC
# ip addr add 1.2.3.4 dev eth0
# pifconfig eth0
eth0
	HWaddr fa:16:3e:ac:e1:8c
	inet addr:172.16.36.16 Bcast:172.16.36.255 Mask:255.255.255.0
	inet addr:10.8.241.164 Bcast:None Mask:255.255.255.255
	inet addr:1.2.3.4 Bcast:None Mask:255.255.255.255
	inet6 addr: fe80::f816:3eff:feac:e18c/64 Scope: link
	UP BROADCAST RUNNING MULTICAST.2.3.4 dev eth0

LGTM!


Note You need to log in before you can comment on or make changes to this bug.